/**
 *
 */
package de.intevation.gnv.state.profile.horizontal;

import java.util.ArrayList;
import java.util.Collection;

import de.intevation.artifacts.CallMeta;
import de.intevation.gnv.artifacts.ressource.RessourceFactory;
import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.state.StateBase;
import de.intevation.gnv.state.describedata.DefaultKeyValueDescribeData;
import de.intevation.gnv.state.describedata.KeyValueDescibeData;
import de.intevation.gnv.state.describedata.NamedArrayList;
import de.intevation.gnv.state.describedata.NamedCollection;
import de.intevation.gnv.state.exception.StateException;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class NorthSouthEastWestState extends StateBase {

    
    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = -7989531326553305293L;

    /**
     * Constructor
     */
    public NorthSouthEastWestState() {
    }

    /**
     * @see de.intevation.gnv.state.StateBase#purifyResult(java.util.Collection, java.lang.String)
     */
    @Override
    protected void purifyResult(Collection<Result> result, String uuid) {
    }
    
    /**
     * @see de.intevation.gnv.state.StateBase#initialize(java.lang.String, de.intevation.artifacts.CallMeta)
     */
    @Override
    public void initialize(String uuid, CallMeta callMeta)
                                                          throws StateException {
        Collection<Object> describeData = this.getDescibeData(uuid);
        if (describeData == null) {
            describeData = new ArrayList<Object>();
        }
        NamedCollection<KeyValueDescibeData> keyValueDescibeData = new NamedArrayList<KeyValueDescibeData>(
                this.dataName, 2);
        keyValueDescibeData.setMultiSelect(super.dataMultiSelect);
        keyValueDescibeData.add(new DefaultKeyValueDescribeData("IPOSITION",
                RessourceFactory.getInstance().getRessource(
                        callMeta.getLanguages(), "iposition", "iposition")));
        keyValueDescibeData.add(new DefaultKeyValueDescribeData("JPOSITION",
                RessourceFactory.getInstance().getRessource(
                        callMeta.getLanguages(), "jposition", "jposition")));
        describeData.add(keyValueDescibeData);
    }


}
